<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="table">
    <table class="ui table" th:if="${not #lists.isEmpty(absences)}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
      <thead id="cabecalho">
        <tr>
          <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}"></th>
          <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABSENCETYPE}}"></th>
          <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr th:each="absence: ${absences}">
          <td th:text="${#strings.substring(absence.day.date, 0, 11)}"></td>
          <td th:text="${absence.type.name}"></td>
          <td th:text="${absence.hours}"></td>
          <td class = "right aligned">
            <th:block th:if="${absence.timesheet == null or (not absence?.timesheet.submitted)}">
              <i class="edit icon pointer"  th:onclick="'editAbsence(\'' + ${absence.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <i class="trash icon pointer" th:onclick="'deleteAbsence(\'' + ${absence.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            </th:block>
          </td>
        </tr>
      </tbody>
    </table>
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_ABSENCES_CREATE)" th:replace="common/fragments/form :: actionbuttonsOnClick(icon1 = null,
                                                               icon1text =  null,
                                                               icon1url =  null,
                                                               icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                               icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                               icon2function = 'createAbsence();'
                                                               )" />
  </th:block>
</body>
</html>